package com.chinaitop.depot.intelligent.coldStorage.mapper;

import com.chinaitop.depot.intelligent.coldStorage.model.TKtinfoHistory;
import com.chinaitop.depot.intelligent.coldStorage.model.TKtinfoHistoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface TKtinfoHistoryMapper {
    int countByExample(TKtinfoHistoryExample example);

    int deleteByExample(TKtinfoHistoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(TKtinfoHistory record);

    int insertSelective(TKtinfoHistory record);

    List<TKtinfoHistory> selectByExample(TKtinfoHistoryExample example);

    TKtinfoHistory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TKtinfoHistory record, @Param("example") TKtinfoHistoryExample example);

    int updateByExample(@Param("record") TKtinfoHistory record, @Param("example") TKtinfoHistoryExample example);

    int updateByPrimaryKeySelective(TKtinfoHistory record);

    int updateByPrimaryKey(TKtinfoHistory record);
}